print("Ghosts loaded")

--return handle, being index sourceMiss, endMiss, description, luaCommand, timer, hostile?, missionLink, minStage, maxStage

ghostA0 = addMissGhost(car_heep, townJuarez,   townJanos, "Smugglers(1)", "gofile(\"encounter/encounter_heep.lua\")", 30, false, -1, 0, 0);
ghostB0 = addMissGhost(car_tooper, townJuarez,   townSueco, "Bandit(1)", "gofile(\"encounter/encounter_tooper.lua\")",    20, true, -1, 0, 0);
ghostC0 = addMissGhost(car_beetle, townJanos,   townBuena, "Smuggler(1)", "gofile(\"encounter/encounter_beetle.lua\")", 15, false, -1, 0, 0);
ghostD0 = addMissGhost(car_bug, townBuena,   townSueco, "Smugglers(2)", "gofile(\"encounter/encounter_bug2.lua\")", 30, false, -1, 0, 0);

ghostA1 = addMissGhost(car_bird,    townJuarez,   townJanos, "Bandits(2)", "gofile(\"encounter/encounter_bird2.lua\")", 20, true, -1, 1, 255);
ghostB1 = addMissGhost(car_xz,   townJuarez,   townSueco, "Bandits(2)", "gofile(\"encounter/encounter_xz2.lua\")", 20, true, -1, 1, 255);
ghostC1 = addMissGhost(car_bug,  townJanos,   townBuena, "Smugglers(2)", "gofile(\"encounter/encounter_bug2.lua\")", 15, false, -1, 1, 255);
ghostD1 = addMissGhost(car_heep,  townBuena,   townSueco, "Smugglers(2)", "gofile(\"encounter/encounter_heep2.lua\")", 15, false, -1, 1, 255);

ghostE2 = addMissGhost(car_heep,  townSueco,   townChihuahua, "Smugglers(2)", "gofile(\"encounter/encounter_heep2.lua\")", 15, false, -1, 2, 2);
ghostF2 = addMissGhost(car_bird,   townChihuahua,   townEmoc, "Bandits(3)", "gofile(\"encounter/encounter_bird3.lua\")", 20, true, -1, 2, 2);
ghostG2 = addMissGhost(car_shark,    townEmoc,   townMadera, "Bandits(2)", "gofile(\"encounter/encounter_shark2.lua\")", 20, true, -1, 2, 2);
ghostH2 = addMissGhost(car_hun,  townMadera,   townBuena, "Smugglers(2)", "gofile(\"encounter/encounter_hun3.lua\")", 15, false, -1, 2, 2);

ghostE3 = addMissGhost(car_stag,    townSueco,   townChihuahua, "Bandits(2)", "gofile(\"encounter/encounter_stag2.lua\")", 20, true, -1, 3, 255);
ghostF3 = addMissGhost(car_bird,   townChihuahua,   townEmoc, "Bandits(4)", "gofile(\"encounter/encounter_bird4.lua\")", 20, true, -1, 3, 255);
ghostG3 = addMissGhost(car_heep,  townEmoc,   townMadera, "Smugglers(2)", "gofile(\"encounter/encounter_heep2.lua\")", 15, false, -1, 3, 255);
ghostH3 = addMissGhost(car_xz,  townMadera,   townBuena, "Smugglers(2)", "gofile(\"encounter/encounter_xz2.lua\")", 15, false, -1, 3, 255);

ghostI4 = addMissGhost(car_hun,  townChihuahua,   townOjinaga, "Smugglers(3)", "gofile(\"encounter/encounter_hun3.lua\")", 15, false, -1, 4, 7);
ghostJ4 = addMissGhost(car_lordoren,   townOjinaga,   townPerla, "Bandits(3)", "gofile(\"encounter/encounter_lordoren3.lua\")", 20, true, -1, 4, 7);
ghostK4 = addMissGhost(car_stag,    townPerla,   townCamargo, "Bandits(3)", "gofile(\"encounter/encounter_stag3.lua\")", 20, true, -1, 4, 7);
ghostL4 = addMissGhost(car_heep,  townCamargo,   townChihuahua, "Smugglers(5)", "gofile(\"encounter/encounter_heep5.lua\")", 15, false, -1, 4, 7);

ghostI8 = addMissGhost(car_hevy,    townChihuahua,   townOjinaga, "Bandits(3)", "gofile(\"encounter/encounter_hevy3.lua\")", 20, true, -1, 8, 255);
ghostJ8 = addMissGhost(car_gt,   townOjinaga,   townPerla, "Bandits(3)", "gofile(\"encounter/encounter_gt3.lua\")", 20, true, -1, 8, 255);
ghostK8 = addMissGhost(car_hun,  townPerla,   townCamargo, "Smugglers(3)", "gofile(\"encounter/encounter_hun3.lua\")", 15, false, -1, 8, 255);
ghostL8 = addMissGhost(car_heep,  townCamargo,   townChihuahua, "Smugglers(5)", "gofile(\"encounter/encounter_heep5.lua\")", 15, false, -1, 8, 255);


missionghost1 = addMissGhost(car_stag,  townJuarez,   townSueco, "Evil Roberto", "gofile(\"encounter/encounter_evilroberto.lua\")", 10, true, misEvilRoberto, 0, 255);
missionghost2 = addMissGhost(car_bird,  townJuarez,   townJanos, "Evil Emilio", "gofile(\"encounter/encounter_evilemilio.lua\")", 10, true, misEvilEmilio, 0, 255);
missionghost3 = addMissGhost(car_stag,  townJanos,   townBuena, "Evil Juan", "gofile(\"encounter/encounter_evilJuan.lua\")", 10, true, misEvilJuan, 0, 255);
missionghost4 = addMissGhost(car_shark,  townBuena,   townSueco, "Evil Jesus", "gofile(\"encounter/encounter_evilJesus.lua\")", 10, true, misEvilJesus, 0, 255);

missionghostTito = addMissGhost(car_shark,  townSueco,   townChihuahua, "Tito's Gang", "gofile(\"encounter/encounter_goonsTito.lua\")", 10, true, misTitoGang, 0, 255);
missionghostWhistler = addMissGhost(car_gt,  townPerla,   townCamargo, "Whistler's Men", "gofile(\"encounter/encounter_goonsWhistler.lua\")", 10, true, misWhistlerMen, 0, 255);

missiongrenadechase = addGhost(car_hun,  -202, 134,   -223, -170, "Crazy Smuggler", "gofile(\"encounter/encounter_crazy3.lua\")", 10, false, misGrenadeChase, 0, 255);

missionghostPiranha = addMissGhost(car_bug,  townMadera,   townChihuahua, "Evil Piranhas", "gofile(\"encounter/encounter_evilPiranhas.lua\")", 10, true, misEvilPiranha, 0, 255);
missionghostCalamares = addMissGhost(car_shark,  townMadera,   townEmoc, "Evil Calamares", "gofile(\"encounter/encounter_evilCalamares.lua\")", 10, true, misEvilCalamares, 0, 255);
